Index: trunk/source/particles/shortlived/include/G4DiQuarks.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4DiQuarks.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4DiQuarks.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DiQuarks.hh,v 1.6 2006/06/29 19:26:26 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedBaryonConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedBaryonConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedBaryonConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedBaryonConstructor.hh,v 1.6 2006/06/29 19:26:28 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedBaryons.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedBaryons.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedBaryons.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedBaryons.hh,v 1.7 2006/06/29 19:26:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedDeltaConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedDeltaConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedDeltaConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedDeltaConstructor.hh,v 1.6 2006/06/29 19:26:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedLambdaConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedLambdaConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedLambdaConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedLambdaConstructor.hh,v 1.8 2006/06/29 19:26:34 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedMesonConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedMesonConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedMesonConstructor.hh	(revision 992)
@@ -32,5 +32,5 @@
 //
 // $Id: G4ExcitedMesonConstructor.hh,v 1.8 2006/06/29 19:26:36 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedMesons.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedMesons.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedMesons.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedMesons.hh,v 1.7 2006/06/29 19:26:38 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedNucleonConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedNucleonConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedNucleonConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedNucleonConstructor.hh,v 1.6 2006/06/29 19:26:40 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedSigmaConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedSigmaConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedSigmaConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedSigmaConstructor.hh,v 1.6 2006/06/29 19:26:42 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ExcitedXiConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ExcitedXiConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ExcitedXiConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedXiConstructor.hh,v 1.6 2006/06/29 19:26:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4Gluons.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4Gluons.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4Gluons.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Gluons.hh,v 1.6 2006/06/29 19:26:46 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4Quarks.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4Quarks.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4Quarks.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Quarks.hh,v 1.6 2006/06/29 19:26:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4ShortLivedConstructor.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4ShortLivedConstructor.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4ShortLivedConstructor.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ShortLivedConstructor.hh,v 1.6 2006/06/29 19:26:50 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/particles/shortlived/include/G4VShortLivedParticle.hh
===================================================================
--- trunk/source/particles/shortlived/include/G4VShortLivedParticle.hh	(revision 850)
+++ trunk/source/particles/shortlived/include/G4VShortLivedParticle.hh	(revision 992)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VShortLivedParticle.hh,v 1.8 2006/06/29 19:26:52 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 