Index: trunk/source/processes/electromagnetic/standard/include/G4ASTARStopping.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4ASTARStopping.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4ASTARStopping.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ASTARStopping.hh,v 1.6 2008/11/13 12:04:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 
 #ifndef G4ASTARStopping_h
Index: trunk/source/processes/electromagnetic/standard/include/G4BetheHeitlerModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4BetheHeitlerModel.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4BetheHeitlerModel.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BetheHeitlerModel.hh,v 1.6 2007/05/22 17:34:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4ComptonScattering52.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4ComptonScattering52.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4ComptonScattering52.hh	(revision 1006)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ComptonScattering52.hh,v 1.4 2007/05/16 14:00:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //------------------ G4ComptonScattering52 physics process -----------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4CoulombScatteringModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4CoulombScatteringModel.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4CoulombScatteringModel.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4CoulombScatteringModel.hh,v 1.15 2008/07/31 13:11:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4InitXscPAI.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4InitXscPAI.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4InitXscPAI.hh	(revision 1006)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InitXscPAI.hh,v 1.8 2006/06/29 19:50:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/include/G4KleinNishinaCompton.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4KleinNishinaCompton.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4KleinNishinaCompton.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4KleinNishinaCompton.hh,v 1.9 2007/05/22 17:34:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4MscModel71.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4MscModel71.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4MscModel71.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MscModel71.hh,v 1.5 2007/05/22 17:34:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MultipleScattering.hh,v 1.36 2008/03/10 10:39:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering71.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering71.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4MultipleScattering71.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MultipleScattering71.hh,v 1.6 2008/07/16 11:27:41 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -59,5 +59,5 @@
 //
 // $Id: G4MultipleScattering71.hh,v 1.6 2008/07/16 11:27:41 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 
 // class description
Index: trunk/source/processes/electromagnetic/standard/include/G4PAIxSection.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4PAIxSection.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4PAIxSection.hh	(revision 1006)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PAIxSection.hh,v 1.15 2008/05/30 16:04:40 grichine Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/include/G4PAIySection.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4PAIySection.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4PAIySection.hh	(revision 1006)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PAIySection.hh,v 1.1 2007/10/01 17:45:14 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // 
Index: trunk/source/processes/electromagnetic/standard/include/G4PSTARStopping.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4PSTARStopping.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4PSTARStopping.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PSTARStopping.hh,v 1.5 2008/11/13 12:04:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 
 #ifndef G4PSTARStopping_h
Index: trunk/source/processes/electromagnetic/standard/include/G4PolarizedComptonScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4PolarizedComptonScattering.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4PolarizedComptonScattering.hh	(revision 1006)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PolarizedComptonScattering.hh,v 1.9 2006/06/29 19:51:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // --------- G4PolarizedComptonScattering physics process ----------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UrbanMscModel.hh,v 1.33 2008/03/10 10:39:21 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel2.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel2.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel2.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UrbanMscModel2.hh,v 1.11 2008/12/18 13:01:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4UrbanMscModel90.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UrbanMscModel90.hh,v 1.4 2008/10/29 14:15:30 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4WaterStopping.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4WaterStopping.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4WaterStopping.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4WaterStopping.hh,v 1.6 2008/09/09 09:30:58 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 
 #ifndef G4WaterStopping_h
Index: trunk/source/processes/electromagnetic/standard/include/G4eCoulombScatteringModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4eCoulombScatteringModel.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4eCoulombScatteringModel.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eCoulombScatteringModel.hh,v 1.36 2008/08/04 08:49:09 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4eMultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4eMultipleScattering.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4eMultipleScattering.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eMultipleScattering.hh,v 1.2 2008/03/11 12:03:43 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4eeToTwoGammaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4eeToTwoGammaModel.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4eeToTwoGammaModel.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToTwoGammaModel.hh,v 1.14 2007/05/23 08:47:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4hMultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4hMultipleScattering.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4hMultipleScattering.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hMultipleScattering.hh,v 1.6 2008/05/09 08:23:44 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/include/G4ionGasIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4ionGasIonisation.hh	(revision 1005)
+++ trunk/source/processes/electromagnetic/standard/include/G4ionGasIonisation.hh	(revision 1006)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ionGasIonisation.hh,v 1.4 2008/09/12 16:26:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------