Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Chips.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Chips.hh,v 1.19 2006/06/29 20:05:53 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4Chips ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QBesIKJY.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QBesIKJY.hh,v 1.2 2006/06/29 20:05:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QBesIKJY ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCHIPSWorld.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCHIPSWorld.hh,v 1.25 2006/06/29 20:05:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCHIPSWorld ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidate.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidate.hh,v 1.28 2006/06/29 20:05:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidate ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QCandidateVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QCandidateVector.hh,v 1.21 2006/06/29 20:06:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QChipolino.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QChipolino.hh,v 1.23 2006/06/29 20:06:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QChipolino ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QContent.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QContent.hh,v 1.28 2006/06/29 20:06:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QContent ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChan.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.hh,v 1.23 2006/06/29 20:06:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QDecayChanVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChanVector.hh,v 1.19 2006/06/29 20:06:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QEnvironment.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QEnvironment.hh,v 1.32 2007/10/07 13:31:41 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QEnvironment ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QException.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.hh,v 1.10 2006/06/29 20:06:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QException ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QFragmentation.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QFragmentation.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadron.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadron.hh,v 1.36 2008/01/09 09:37:24 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QHadron ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronBuilder.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadronBuilder.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QHadronVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.22 2006/11/16 11:36:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -37,5 +37,5 @@
 //
 // $Id: G4QHadronVector.hh,v 1.22 2006/11/16 11:36:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteraction.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteraction.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QInteractionVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -38,5 +38,5 @@
 //
 // $Id: G4QInteractionVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QIsotope.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIsotope.hh,v 1.5 2006/06/29 20:06:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QNucleus.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNucleus.hh,v 1.33 2007/10/31 13:23:07 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QNucleus ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCode.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCode.hh,v 1.26 2006/06/29 20:06:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QPDGCode ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGCodeVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCodeVector.hh,v 1.19 2006/06/29 20:06:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPDGToG4Particle.hh	(revision 1007)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPDGToG4Particle.hh,v 1.4 2006/06/29 20:06:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QPDGToG4Particle header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentCluster.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentCluster.hh,v 1.23 2006/06/29 20:06:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QParentCluster ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParentClusterVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentClusterVector.hh,v 1.18 2006/06/29 20:06:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticle.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticle.hh,v 1.24 2006/06/29 20:06:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QParticle ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParticleVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticleVector.hh,v 1.19 2006/06/29 20:06:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QParton.hh	(revision 1007)
@@ -29,5 +29,5 @@
 
 // $Id: G4QParton.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPair.hh	(revision 1007)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QPartonPair.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonPairVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonPairVector.hh,v 1.1 2006/11/16 11:36:09 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPartonVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QCandidateVector ----------------
@@ -37,5 +37,5 @@
 //
 // $Id: G4QPartonVector.hh,v 1.1 2006/10/30 10:40:34 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPomeron.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPomeron.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QPomeron.hh	(revision 1007)
@@ -28,5 +28,5 @@
 //
 // $Id: G4QPomeron.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QSplitter.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QSplitter.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QSplitter.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QSplitter.hh,v 1.2 2006/06/29 20:06:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QSplitter ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QString.hh	(revision 1007)
@@ -27,5 +27,5 @@
 //
 // $Id: G4QString.hh,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 
 #ifndef G4QString_h
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QStringVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QStringVector.hh,v 1.1 2006/10/30 10:40:35 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QStringVector ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4Quasmon.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Quasmon.hh,v 1.39 2007/08/09 13:07:47 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4Quasmon ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonString.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonString.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonString.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasmonString.hh,v 1.4 2006/06/29 20:06:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QuasmonString ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 962)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/include/G4QuasmonVector.hh	(revision 1007)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasmonVector.hh,v 1.19 2006/06/29 20:06:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 //      ---------------- G4QuasmonVector ----------------