Index: /trunk/source/geometry/divisions/History
===================================================================
--- /trunk/source/geometry/divisions/History	(revision 1009)
+++ /trunk/source/geometry/divisions/History	(revision 1010)
@@ -1,3 +1,3 @@
-$Id: History,v 1.28 2008/08/18 16:14:13 gcosmo Exp $
+$Id: History,v 1.30 2008/12/04 16:01:32 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+December, 3rd, 2008     P.Arce  (geomdiv-V09-01-02)
+- Added division along X of TRD (that results in TRAP's).
+  Changed G4PVDivision to allow divisions solids to have type different
+  than mother.
 
 August, 18th, 2008      T.Nikitina  (geomdiv-V09-01-01)
Index: /trunk/source/geometry/divisions/include/G4PVDivision.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4PVDivision.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4PVDivision.hh	(revision 1010)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PVDivision.hh,v 1.13 2008/08/18 14:06:01 tnikitin Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4PVDivision.hh,v 1.14 2008/12/03 16:41:45 arce Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 // class G4PVDivision
@@ -145,5 +145,8 @@
 
     void CheckAndSetParameters( const EAxis pAxis,
+                                const G4int nDivs,
+                                const G4double width,
                                 const G4double offset, 
+                                      DivisionType divType,
                                 const G4LogicalVolume* pMotherLogical );
 
Index: /trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PVDivisionFactory.hh,v 1.2 2006/06/29 18:18:09 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: /trunk/source/geometry/divisions/include/G4ParameterisationBox.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationBox.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationBox.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationBox.hh,v 1.6 2006/06/29 18:18:11 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // classes G4ParameterisationBoxX,
Index: /trunk/source/geometry/divisions/include/G4ParameterisationCons.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationCons.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationCons.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationCons.hh,v 1.6 2006/06/29 18:18:13 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // classes G4ParameterisationConsRho,
Index: /trunk/source/geometry/divisions/include/G4ParameterisationPara.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationPara.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationPara.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPara.hh,v 1.7 2006/06/29 18:18:15 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 // classes G4ParameterisationParaX,
Index: /trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPolycone.hh,v 1.7 2006/06/29 18:18:18 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 // classes G4ParameterisationPolyconeRho,
Index: /trunk/source/geometry/divisions/include/G4ParameterisationPolyhedra.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationPolyhedra.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationPolyhedra.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPolyhedra.hh,v 1.8 2006/06/29 18:18:20 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 // 
 // classes G4ParameterisationPolyhedraRho,
Index: /trunk/source/geometry/divisions/include/G4ParameterisationTrd.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationTrd.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationTrd.hh	(revision 1010)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ParameterisationTrd.hh,v 1.7 2006/06/29 18:18:22 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ParameterisationTrd.hh,v 1.8 2008/12/03 16:48:48 arce Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // classes G4ParameterisationTrdX
@@ -61,4 +61,5 @@
 class G4Polycone;
 class G4Polyhedra;
+#include <vector>
 
 class G4VParameterisationTrd : public G4VDivisionParameterisation
@@ -71,4 +72,8 @@
   
     virtual ~G4VParameterisationTrd();
+
+
+protected:
+  G4bool bDivInTrap;
 };
 
@@ -89,6 +94,12 @@
                                        G4VPhysicalVolume* physVol) const;
 
-    void ComputeDimensions(G4Trd& trd, const G4int copyNo,
-                           const G4VPhysicalVolume* pv) const;
+    virtual void ComputeDimensions(G4Trd& trd, const G4int copyNo,
+                           const G4VPhysicalVolume* pv) const;
+
+    virtual void ComputeDimensions(G4Trap& trd, const G4int copyNo,
+                           const G4VPhysicalVolume* pv) const;
+  
+    virtual G4VSolid*   ComputeSolid(const G4int, G4VPhysicalVolume *);
+
 
   private:  // Dummy declarations to get rid of warnings ...
@@ -106,6 +117,4 @@
     void ComputeDimensions (G4Para&,const G4int,
                             const G4VPhysicalVolume*) const {}
-    void ComputeDimensions (G4Trap&,const G4int,
-                            const G4VPhysicalVolume*) const {}
     void ComputeDimensions (G4Hype&,const G4int,
                             const G4VPhysicalVolume*) const {}
@@ -116,4 +125,7 @@
     void ComputeDimensions (G4Polyhedra&,const G4int,
                             const G4VPhysicalVolume*) const {}
+
+  void ComputeTrapParams();
+ G4Trap* theTrap;
 };
 
Index: /trunk/source/geometry/divisions/include/G4ParameterisationTubs.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4ParameterisationTubs.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4ParameterisationTubs.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationTubs.hh,v 1.6 2006/06/29 18:18:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // classes G4ParameterisationTubsRho
Index: /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.hh
===================================================================
--- /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.hh	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.hh	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VDivisionParameterisation.hh,v 1.11 2007/05/11 13:26:26 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4VDivisionParameterisation
Index: /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.icc
===================================================================
--- /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.icc	(revision 1009)
+++ /trunk/source/geometry/divisions/include/G4VDivisionParameterisation.icc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VDivisionParameterisation.icc,v 1.4 2006/06/29 18:18:29 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4VDivisionParameterisation Inline Implementation file
Index: /trunk/source/geometry/divisions/src/G4PVDivision.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4PVDivision.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4PVDivision.cc	(revision 1010)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PVDivision.cc,v 1.21 2008/08/18 14:06:13 tnikitin Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4PVDivision.cc,v 1.22 2008/12/03 16:41:45 arce Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4PVDivision Implementation file
@@ -74,5 +74,6 @@
   SetParameterisation(pMotherLogical, pAxis, nDivs,
                       width, offset, DivNDIVandWIDTH);
-  CheckAndSetParameters (pAxis,offset, pMotherLogical);
+  CheckAndSetParameters (pAxis, nDivs, width, offset,
+                         DivNDIVandWIDTH, pMotherLogical);
 }
 
@@ -104,5 +105,5 @@
   SetMotherLogical(pMotherLogical);
   SetParameterisation(pMotherLogical, pAxis, nDivs, 0., offset, DivNDIV);
-  CheckAndSetParameters (pAxis, offset, pMotherLogical);
+  CheckAndSetParameters (pAxis, nDivs, 0., offset, DivNDIV, pMotherLogical);
 }
 
@@ -134,5 +135,5 @@
   SetMotherLogical(pMotherLogical);
   SetParameterisation(pMotherLogical, pAxis, 0, width, offset, DivWIDTH);
-  CheckAndSetParameters (pAxis, offset, pMotherLogical);
+  CheckAndSetParameters (pAxis, 0, width, offset, DivWIDTH, pMotherLogical);
 }
 
@@ -140,9 +141,18 @@
 void
 G4PVDivision::CheckAndSetParameters( const EAxis pAxis,
+                                     const G4int nDivs,
+                                     const G4double width,
                                      const G4double offset, 
+                                           DivisionType divType,
                                      const G4LogicalVolume* pMotherLogical )
 {
-  fnReplicas = fparam->GetNoDiv();
- 
+  if( divType == DivWIDTH )
+  {
+    fnReplicas = fparam->GetNoDiv();
+  }
+  else
+  {
+    fnReplicas = nDivs;
+  }
   if (fnReplicas < 1 )
   {
@@ -151,6 +161,12 @@
   }
 
-  fwidth = fparam->GetWidth();
-
+  if( divType != DivNDIV)
+  {
+    fwidth = fparam->GetWidth();
+  }
+  else
+  {
+    fwidth = width;
+  }
   if( fwidth < 0 )
   {
@@ -202,10 +218,10 @@
   G4String msolType = pMotherLogical->GetSolid()->GetEntityType();
   G4String dsolType = GetLogicalVolume()->GetSolid()->GetEntityType();
-  if( msolType != dsolType )
+  if( msolType != dsolType && ( msolType != "G4Trd" || dsolType != "G4Trap" ) )
   {
     G4String message =
       "Incorrect solid type for division of volume " + GetName()
     + "    It is: " + msolType + ", while it should be: " + dsolType;
-    G4Exception("G4VDivisionParameterisation::CheckAndSetParameters()",
+    G4Exception("G4PVDivision::CheckAndSetParameters()",
                 "IllegalConstruct", FatalException, message );
   }
Index: /trunk/source/geometry/divisions/src/G4PVDivisionFactory.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4PVDivisionFactory.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4PVDivisionFactory.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PVDivisionFactory.cc,v 1.2 2006/06/29 18:18:33 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4PVDivisionFactory Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationBox.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationBox.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationBox.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationBox.cc,v 1.10 2006/06/29 18:18:35 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationBox Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationCons.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationCons.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationCons.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationCons.cc,v 1.9 2006/06/29 18:18:38 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationCons Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationPara.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationPara.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationPara.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPara.cc,v 1.11 2006/06/29 18:18:42 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationPara Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationPolycone.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationPolycone.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationPolycone.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPolycone.cc,v 1.15 2006/06/29 18:18:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationPolycone Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationPolyhedra.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPolyhedra.cc,v 1.16 2007/05/18 07:27:23 gcosmo Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationPolyhedra Implementation file
Index: /trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationTrd.cc	(revision 1010)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ParameterisationTrd.cc,v 1.14 2006/06/29 18:18:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4ParameterisationTrd.cc,v 1.16 2008/12/18 12:57:20 gunter Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationTrd Implementation file
@@ -91,14 +91,14 @@
   if( divType == DivWIDTH )
   {
-    fnDiv = CalculateNDiv( 2*msol->GetXHalfLength1(),
+    fnDiv = CalculateNDiv( msol->GetXHalfLength1()+msol->GetXHalfLength2(),
                            width, offset );
   }
   else if( divType == DivNDIV )
   {
-    fwidth = CalculateWidth( 2*msol->GetXHalfLength1(), nDiv, offset );
-  }
-
-#ifdef G4DIVDEBUG
-  if( verbose >= -1 )
+    fwidth = CalculateWidth( msol->GetXHalfLength1()+msol->GetXHalfLength2(), nDiv, offset );
+  }
+
+#ifdef G4DIVDEBUG
+  if( verbose >= 1 )
   {
     G4cout << " G4ParameterisationTrdX - ## divisions " << fnDiv << " = "
@@ -108,4 +108,11 @@
   }
 #endif
+
+  G4double mpDx1 = msol->GetXHalfLength1();
+  G4double mpDx2 = msol->GetXHalfLength2();
+  if( std::fabs(mpDx1 - mpDx2) > kCarTolerance )
+  {
+    bDivInTrap = true;
+  }
 }
 
@@ -119,5 +126,5 @@
 {
   G4Trd* msol = (G4Trd*)(fmotherSolid);
-  return 2*msol->GetXHalfLength1();
+  return (msol->GetXHalfLength1()+msol->GetXHalfLength2());
 }
 
@@ -129,9 +136,15 @@
 {
   G4Trd* msol = (G4Trd*)(fmotherSolid );
-  G4double mdx = msol->GetXHalfLength1();
+  G4double mdx = ( msol->GetXHalfLength1() + msol->GetXHalfLength2() ) / 2.;
 
   //----- translation 
   G4ThreeVector origin(0.,0.,0.); 
-  G4double posi = -mdx + foffset + (copyNo+0.5)*fwidth;
+  G4double posi;
+  if( !bDivInTrap ) {
+    posi = -mdx + foffset + (copyNo+0.5)*fwidth;
+  } else {
+    G4double aveHL = (msol->GetXHalfLength1()+msol->GetXHalfLength2())/2.;
+    posi = - aveHL + foffset + (copyNo+0.5)*aveHL/fnDiv*2;
+  }
   if( faxis == kXAxis )
   {
@@ -146,7 +159,7 @@
 
 #ifdef G4DIVDEBUG
-  if( verbose >= -2 )
-  {
-    G4cout << std::setprecision(8) << " G4ParameterisationTrdX: "
+  if( verbose >= 2 )
+  {
+    G4cout << std::setprecision(8) << " G4ParameterisationTrdX::ComputeTransformation "
            << copyNo << G4endl
            << " Position: " << origin << " - Axis: " << faxis << G4endl;
@@ -169,12 +182,63 @@
   G4double pDz = msol->GetZHalfLength();
   G4double pDx = fwidth/2.;
- 
+  
   trd.SetAllParameters ( pDx, pDx, pDy1, pDy2, pDz );
 
 #ifdef G4DIVDEBUG
-  if( verbose >= -2 )
-  {
-     G4cout << " G4ParameterisationTrdX::ComputeDimensions():" << G4endl;
+  if( verbose >= 2 )
+  {
+    G4cout << " G4ParameterisationTrdX::ComputeDimensions():" << copyNo << G4endl;
      trd.DumpInfo();
+  }
+#endif
+}
+
+G4VSolid* G4ParameterisationTrdX::
+ComputeSolid(const G4int i, G4VPhysicalVolume * pv)
+{
+  if( bDivInTrap ) 
+  {
+    return G4VDivisionParameterisation::ComputeSolid(i, pv);
+  } 
+  else 
+  {
+    return theTrap;
+  }
+}
+
+
+//--------------------------------------------------------------------------
+void
+G4ParameterisationTrdX::
+ComputeDimensions( G4Trap& trap, const G4int copyNo, const G4VPhysicalVolume* ) const
+{
+  G4Trd* msol = (G4Trd*)(fmotherSolid);
+  G4double pDy1 = msol->GetYHalfLength1();
+  G4double pDy2 = msol->GetYHalfLength2();
+  G4double pDz = msol->GetZHalfLength();
+  G4double pDx1 = msol->GetXHalfLength1()/fnDiv; 
+  G4double pDx2 = msol->GetXHalfLength2()/fnDiv; 
+
+  G4double cxy1 = -msol->GetXHalfLength1() + foffset + (copyNo+0.5)*pDx1*2;// centre of the side at y=-pDy1
+  G4double cxy2 = -msol->GetXHalfLength2() + foffset + (copyNo+0.5)*pDx2*2;// centre of the side at y=+pDy1
+  G4double alp = std::atan( (cxy2-cxy1)/pDz );
+  
+  trap.SetAllParameters ( pDz,
+			  0.,
+			  0.,
+			  pDy1,
+			  pDx1,
+			  pDx2,
+			  alp,
+			  pDy2,
+			  pDx1,
+			  pDx2,
+			  alp);
+
+#ifdef G4DIVDEBUG
+  if( verbose >= 2 )
+  {
+    G4cout << " G4ParameterisationTrdX::ComputeDimensions():" << copyNo << G4endl;
+     trap.DumpInfo();
   }
 #endif
@@ -190,7 +254,10 @@
   G4double mpDx1 = msol->GetXHalfLength1();
   G4double mpDx2 = msol->GetXHalfLength2();
+  bDivInTrap = false;
 
   if( std::fabs(mpDx1 - mpDx2) > kCarTolerance )
   {
+    return;
+
     G4cerr << "ERROR - G4ParameterisationTrdX::CheckParametersValidity()"
            << G4endl
@@ -206,4 +273,10 @@
 
 //--------------------------------------------------------------------------
+void G4ParameterisationTrdX::
+ComputeTrapParams()
+{
+}
+
+//--------------------------------------------------------------------------
 G4ParameterisationTrdY::
 G4ParameterisationTrdY( EAxis axis, G4int nDiv,
@@ -261,4 +334,5 @@
   G4ThreeVector origin(0.,0.,0.); 
   G4double posi = -mdy + foffset + (copyNo+0.5)*fwidth;
+
   if( faxis == kYAxis )
   {
@@ -275,5 +349,5 @@
   if( verbose >= 2 )
   {
-    G4cout << std::setprecision(8) << " G4ParameterisationTrdY " << copyNo
+    G4cout << std::setprecision(8) << " G4ParameterisationTrdY::ComputeTransformation " << copyNo
            << " pos " << origin << " rot mat " << " axis " << faxis << G4endl;
   }
Index: /trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4ParameterisationTubs.cc	(revision 1010)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationTubs.cc,v 1.8 2006/06/29 18:18:50 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4ParameterisationTubs Implementation file
Index: /trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc
===================================================================
--- /trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc	(revision 1009)
+++ /trunk/source/geometry/divisions/src/G4VDivisionParameterisation.cc	(revision 1010)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VDivisionParameterisation.cc,v 1.13 2008/07/25 16:23:35 ivana Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4VDivisionParameterisation.cc,v 1.14 2008/12/03 16:41:15 arce Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // class G4VDivisionParameterisation Implementation file
@@ -163,5 +163,5 @@
            << " has too big offset + width*nDiv = " << G4endl
            << "        " << foffset + fwidth*fnDiv << " > "
-           << maxPar << ". Width = "
+           << foffset << ". Width = "
            << G4endl
            << "        " << fwidth << ". nDiv = " << fnDiv << " !"