Index: trunk/source/interfaces/basic/src/G4VUIshell.cc
===================================================================
--- trunk/source/interfaces/basic/src/G4VUIshell.cc	(revision 1027)
+++ trunk/source/interfaces/basic/src/G4VUIshell.cc	(revision 1032)
@@ -149,5 +149,4 @@
 //////////////////////////////////////////////////////////////////////
 {
-  printf("G4VUIshell::GetAbsCommandDirPath %s\n",apath.c_str());
   if(apath.empty()) return apath;  // null string
 
@@ -158,9 +157,6 @@
 
   // parsing...
-  printf("G4VUIshell::GetAbsCommandDirPath bpath %s\n",bpath.c_str());
   G4String absPath= "/";
-  printf("G4VUIshell::GetAbsCommandDirPath num %d \n",G4int(bpath.length())-1);
   for(G4int indx=1; indx<=G4int(bpath.length())-1; ) {
-    printf("G4VUIshell::GetAbsCommandDirPath for %d/%d \n",indx,G4int(bpath.length())-1);
     G4int jslash= bpath.index("/", indx);  // search index begin with "/"
     if(jslash != G4int(G4String::npos)) {
@@ -181,5 +177,4 @@
     indx= jslash+1;
   }
-  printf("G4VUIshell::GetAbsCommandDirPath RETURN %s\n",absPath.c_str());
   return  absPath;
 }
Index: trunk/source/interfaces/common/include/G4VBasicShell.hh
===================================================================
--- trunk/source/interfaces/common/include/G4VBasicShell.hh	(revision 1027)
+++ trunk/source/interfaces/common/include/G4VBasicShell.hh	(revision 1032)
@@ -85,7 +85,4 @@
     G4String Complete(G4String);
     // command completion
-
-    G4String CompleteCommand(G4String);
-    // command completion
     G4String FindMatchingPath(G4UIcommandTree*,G4String);
 
Index: trunk/source/interfaces/common/src/G4VBasicShell.cc
===================================================================
--- trunk/source/interfaces/common/src/G4VBasicShell.cc	(revision 1027)
+++ trunk/source/interfaces/common/src/G4VBasicShell.cc	(revision 1032)
@@ -180,105 +180,10 @@
   return value;
 }
-
-
-
-
 G4String G4VBasicShell::FindMatchingPath(
  G4UIcommandTree* aTree
 ,G4String aCommandPath
 )
-// From intercoms/src/G4UIcommandTree::FindPath.
 {
   return aTree->CompleteCommandPath(aCommandPath);
-
-#ifdef G4DEBUG
-  printf("G4VBasicShell::FindMatchingPath %s\n",aCommandPath.c_str());
-#endif
-  G4String empty = "";
-  if(aTree==NULL) return empty;
-  G4String pathName = aTree->GetPathName();
-  if( aCommandPath.index( pathName ) == std::string::npos ) return empty;
-  G4String remainingPath = aCommandPath;
-  remainingPath.remove(0,pathName.length());
-  size_t i = remainingPath.first('/');
-#ifdef G4DEBUG
-  printf("G4VBasicShell::FindMatchingPath remainingPath:%s\n",remainingPath.c_str());
-#endif
-  if( i == std::string::npos ) {
-#ifdef G4DEBUG
-  printf("G4VBasicShell::FindMatchingPath npos \n");
-#endif
-    // Look for number of matching commands :
-    std::vector<G4UIcommand*> commands;
-    G4int n_commandEntry = aTree->GetCommandEntry();
-    for( G4int i_thCommand = 1; i_thCommand <= n_commandEntry; i_thCommand++ ) {
-      G4UIcommand* cmd = aTree->GetCommand(i_thCommand);
-      G4String ss = cmd->GetCommandName();
-      ss.resize(remainingPath.length());
-      if( remainingPath == ss ) commands.push_back(cmd);
-#ifdef G4DEBUG
-      printf("look for command check %s %s \n",ss.c_str(),remainingPath.c_str());
-#endif
-    }
-    n_commandEntry = commands.size();
-#ifdef G4DEBUG
-      printf("%d found\n",n_commandEntry);
-#endif
-    if(n_commandEntry==1) {
-      return (pathName + commands[0]->GetCommandName());
-    } else if (n_commandEntry>=2) {
-      G4cout << "Matching commands :" << G4endl; 
-      for( G4int i_thCommand = 0; i_thCommand < n_commandEntry; i_thCommand++ ) {
-	G4UIcommand* cmd = commands[i_thCommand];
-	G4cout << cmd->GetCommandName() << G4endl; 
-#ifdef G4DEBUG
-        printf("%s found\n",cmd->GetCommandName().c_str());
-#endif
-      }
-      return empty;
-    }
-    // Look for sub tree :
-    std::vector<G4UIcommandTree*> trees;
-    G4String nextPath = pathName;
-    nextPath.append(remainingPath);
-    G4int n_treeEntry = aTree->GetTreeEntry();
-    for( G4int i_thTree = 1; i_thTree <= n_treeEntry; i_thTree++ ) {
-      G4UIcommandTree* tree = aTree->GetTree(i_thTree);
-      G4String ss = tree->GetPathName();
-      ss.resize(nextPath.length());
-      if( nextPath == ss ) trees.push_back(tree);
-    }
-    n_treeEntry = trees.size();
-    if(n_treeEntry==1) {
-      return trees[0]->GetPathName();
-    } else if (n_treeEntry>=2) {
-      G4cout << "Matching directories :" << G4endl; 
-      for( G4int i_thTree = 0; i_thTree < n_treeEntry; i_thTree++ ) {
-	G4UIcommandTree* tree = trees[i_thTree];
-	G4cout << tree->GetPathName() << G4endl; 
-      }
-      return empty;
-    } else {
-      return empty; // No match.
-    }
-  } else {
-    // Find path
-    G4String nextPath = pathName;
-    nextPath.append(remainingPath(0,i+1));
-    G4int n_treeEntry = aTree->GetTreeEntry();
-#ifdef G4DEBUG
-    printf(" find PATH\n");
-#endif
-    for( G4int i_thTree = 1; i_thTree <= n_treeEntry; i_thTree++ ) {
-      G4UIcommandTree* tree = aTree->GetTree(i_thTree);
-#ifdef G4DEBUG
-      printf("++++LOOP+++++++++++++%s == %s \n",nextPath.c_str(), tree->GetPathName().c_str());
-#endif
-      if( nextPath == tree->GetPathName() ) { 
-	return FindMatchingPath(tree,aCommandPath ); 
-      }
-    }
-  }
-  return empty;
 }
 ////////////////////////////////////////////